Updates the map with a new key-value pair

- « WeakMap::offsetGet

- WeakMap::offsetUnset »

- PHP Manual
- WeakMap
- Updates the map with a new key-value pair

# WeakMap::offsetSet

(PHP 8)

WeakMap::offsetSet — Updates the map with a new key-value pair

### Description

public WeakMap::offsetSet(object `$object`, mixed `$value`): void

Updates the map with a new key-value pair. If the key already existed in the map, the old value is replaced with the new.

### Parameters

`object`

  The object serving as key of the key-value pair.

`value`

  The arbitrary data serving as value of the key-value pair.

### Return Values

No value is returned.